(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     27245,        620]
NotebookOptionsPosition[     25062,        573]
NotebookOutlinePosition[     25496,        590]
CellTagsIndexPosition[     25453,        587]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.81487368509011*^9, 
  3.8148736924566603`*^9}},ExpressionUUID->"c9c9ccb6-1f1c-4469-81df-\
ebd854cb5e3f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Alphabet", "[", "\"\<Spanish\>\"", "]"}], "[", 
     RowBox[{"[", "valor", "]"}], "]"}], "\[Rule]", "valor"}], ",", 
   RowBox[{"{", 
    RowBox[{"valor", ",", "27"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.814953428411107*^9, 3.8149534284200835`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"7c063b6f-4cbb-4c76-a9e8-931132ec05d0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\<\"a\"\>", "\[Rule]", "1"}], ",", 
   RowBox[{"\<\"b\"\>", "\[Rule]", "2"}], ",", 
   RowBox[{"\<\"c\"\>", "\[Rule]", "3"}], ",", 
   RowBox[{"\<\"d\"\>", "\[Rule]", "4"}], ",", 
   RowBox[{"\<\"e\"\>", "\[Rule]", "5"}], ",", 
   RowBox[{"\<\"f\"\>", "\[Rule]", "6"}], ",", 
   RowBox[{"\<\"g\"\>", "\[Rule]", "7"}], ",", 
   RowBox[{"\<\"h\"\>", "\[Rule]", "8"}], ",", 
   RowBox[{"\<\"i\"\>", "\[Rule]", "9"}], ",", 
   RowBox[{"\<\"j\"\>", "\[Rule]", "10"}], ",", 
   RowBox[{"\<\"k\"\>", "\[Rule]", "11"}], ",", 
   RowBox[{"\<\"l\"\>", "\[Rule]", "12"}], ",", 
   RowBox[{"\<\"m\"\>", "\[Rule]", "13"}], ",", 
   RowBox[{"\<\"n\"\>", "\[Rule]", "14"}], ",", 
   RowBox[{"\<\"\[NTilde]\"\>", "\[Rule]", "15"}], ",", 
   RowBox[{"\<\"o\"\>", "\[Rule]", "16"}], ",", 
   RowBox[{"\<\"p\"\>", "\[Rule]", "17"}], ",", 
   RowBox[{"\<\"q\"\>", "\[Rule]", "18"}], ",", 
   RowBox[{"\<\"r\"\>", "\[Rule]", "19"}], ",", 
   RowBox[{"\<\"s\"\>", "\[Rule]", "20"}], ",", 
   RowBox[{"\<\"t\"\>", "\[Rule]", "21"}], ",", 
   RowBox[{"\<\"u\"\>", "\[Rule]", "22"}], ",", 
   RowBox[{"\<\"v\"\>", "\[Rule]", "23"}], ",", 
   RowBox[{"\<\"w\"\>", "\[Rule]", "24"}], ",", 
   RowBox[{"\<\"x\"\>", "\[Rule]", "25"}], ",", 
   RowBox[{"\<\"y\"\>", "\[Rule]", "26"}], ",", 
   RowBox[{"\<\"z\"\>", "\[Rule]", "27"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8149534297995195`*^9, 3.814962635973895*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"6c664ce9-2469-4369-99e6-672797b254c9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StringSplit", "[", 
  "\"\<el universo no se comporta de acuerdo con nuestras ideas preconcebidas\
\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.814952401324139*^9, 3.814952415340994*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"da6f1477-912c-4e5d-b4ce-44ff0cfd2eec"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"el\"\>", ",", "\<\"universo\"\>", ",", "\<\"no\"\>", 
   ",", "\<\"se\"\>", ",", "\<\"comporta\"\>", ",", "\<\"de\"\>", 
   ",", "\<\"acuerdo\"\>", ",", "\<\"con\"\>", ",", "\<\"nuestras\"\>", 
   ",", "\<\"ideas\"\>", ",", "\<\"preconcebidas\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.814952415774561*^9, 3.814962639140692*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"8f134b10-3f77-473b-9651-90a25ef0f847"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreePlot", "[", 
  RowBox[{
   RowBox[{"AristasCombinatoricaToWolframSystem", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}]}], "}"}], "]"}], ",", "Automatic", ",", 
   "1", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "\[Rule]", "\"\<el\>\""}], ",", 
      RowBox[{"2", "\[Rule]", " ", "\"\<universo\>\""}], ",", " ", 
      RowBox[{"3", "\[Rule]", "\"\<no\>\""}], ",", 
      RowBox[{"4", "\[Rule]", "\"\<se\>\""}]}], "}"}]}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "40"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8149574132331405`*^9, 3.8149575003277397`*^9}, {
  3.8149576057481537`*^9, 3.8149576059584336`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"9a9a0675-96ed-4f24-87ab-90a0209fe67e"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
    LineBox[{{{0., 3.}, {0., 2.}}, {{0., 2.}, {0., 1.}}, {{0., 1.}, {0., 
     0.}}}]}, 
   {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
    0.7]}], {DiskBox[{0., 3.}, 0.030239520958083826], 
     InsetBox["\<\"el\"\>", 
      Offset[{2, 2}, {0.030239520958083826, 3.0302395209580837}], 
      ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {DiskBox[{0., 2.}, 0.030239520958083826], 
     InsetBox["\<\"universo\"\>", 
      Offset[{2, 2}, {0.030239520958083826, 2.0302395209580837}], 
      ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {DiskBox[{0., 1.}, 0.030239520958083826], 
     InsetBox["\<\"no\"\>", 
      Offset[{2, 2}, {0.030239520958083826, 1.030239520958084}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.030239520958083826], 
     InsetBox["\<\"se\"\>", 
      Offset[{2, 2}, {0.030239520958083826, 0.030239520958083826}], 
      ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}}},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->40]], "Output",
 CellChangeTimes->{{3.814957463934642*^9, 3.8149575007743883`*^9}, 
   3.814957606624362*^9, 3.8149626427221355`*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"34b76986-8f14-418b-8639-3256dbdb0ce7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreePlot", "[", 
  RowBox[{
   RowBox[{"AristasCombinatoricaToWolframSystem", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "7"}], "}"}]}], "}"}], "]"}], ",", "Automatic", ",", 
   "1", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "\[Rule]", "\"\<el\>\""}], ",", 
      RowBox[{"2", "\[Rule]", " ", "\"\<universo\>\""}], ",", " ", 
      RowBox[{"3", "\[Rule]", "\"\<no\>\""}], ",", 
      RowBox[{"4", "\[Rule]", "\"\<se\>\""}], ",", 
      RowBox[{"5", "\[Rule]", "\"\<comporta\>\""}], ",", 
      RowBox[{"6", "\[Rule]", "\"\<acuerdo\>\""}], ",", 
      RowBox[{"7", "\[Rule]", "\"\<de\>\""}]}], "}"}]}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "40"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.814957813894744*^9, 3.8149578887239847`*^9}, {
  3.814957921805659*^9, 3.8149579565102663`*^9}, {3.8149580074041595`*^9, 
  3.814958010474357*^9}, {3.8149580878174934`*^9, 3.814958095016906*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"e141125a-fbe2-4876-a1b4-be340f9e8983"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
    LineBox[{{{1.1088319064318592`, 2.6611965754364624`}, {0.4435327625727437,
      1.774131050290975}}, {{1.1088319064318592`, 2.6611965754364624`}, {
     1.7741310502909748`, 1.774131050290975}}, {{0.4435327625727437, 
     1.774131050290975}, {0., 0.8870655251454875}}, {{0.4435327625727437, 
     1.774131050290975}, {0.8870655251454874, 0.8870655251454875}}, {{
     1.7741310502909748`, 1.774131050290975}, {1.7741310502909748`, 
     0.8870655251454875}}, {{1.7741310502909748`, 0.8870655251454875}, {
     1.7741310502909748`, 0.}}}]}, 
   {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
    0.7]}], {DiskBox[{1.1088319064318592, 2.6611965754364624}, 
      0.027759551950946065], 
     InsetBox["\<\"el\"\>", 
      Offset[{2, 2}, {1.1365914583828054, 2.6889561273874083}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.4435327625727437, 1.774131050290975}, 0.027759551950946065], 
     InsetBox["\<\"comporta\"\>", 
      Offset[{2, 2}, {0.4712923145236898, 1.8018906022419212}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{1.7741310502909748, 1.774131050290975}, 0.027759551950946065], 
     InsetBox["\<\"universo\"\>", 
      Offset[{2, 2}, {1.801890602241921, 1.8018906022419212}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{1.7741310502909748, 0.8870655251454875}, 0.027759551950946065], 
     InsetBox["\<\"no\"\>", 
      Offset[{2, 2}, {1.801890602241921, 0.9148250770964336}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{1.7741310502909748, 0.}, 0.027759551950946065], 
     InsetBox["\<\"se\"\>", 
      Offset[{2, 2}, {1.801890602241921, 0.027759551950946065}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0., 0.8870655251454875}, 0.027759551950946065], 
     InsetBox["\<\"acuerdo\"\>", 
      Offset[{2, 2}, {0.027759551950946065, 0.9148250770964336}], 
      ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.8870655251454874, 0.8870655251454875}, 0.027759551950946065], 
     InsetBox["\<\"de\"\>", 
      Offset[{2, 2}, {0.9148250770964335, 0.9148250770964336}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}}},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->40]], "Output",
 CellChangeTimes->{{3.8149579232548833`*^9, 3.814957956805588*^9}, 
   3.8149580112886043`*^9, {3.814958088477337*^9, 3.814958095391055*^9}, 
   3.8149626480110736`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"613753e9-1fcf-4055-87a5-e0ec46653d36"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreePlot", "[", 
  RowBox[{
   RowBox[{"AristasCombinatoricaToWolframSystem", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "7"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "8"}], "}"}]}], "}"}], "]"}], ",", "Automatic", ",", 
   "1", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "\[Rule]", "\"\<el\>\""}], ",", 
      RowBox[{"2", "\[Rule]", " ", "\"\<universo\>\""}], ",", " ", 
      RowBox[{"3", "\[Rule]", "\"\<no\>\""}], ",", 
      RowBox[{"4", "\[Rule]", "\"\<se\>\""}], ",", 
      RowBox[{"5", "\[Rule]", "\"\<comporta\>\""}], ",", 
      RowBox[{"6", "\[Rule]", "\"\<acuerdo\>\""}], ",", 
      RowBox[{"7", "\[Rule]", "\"\<de\>\""}], ",", 
      RowBox[{"8", "\[Rule]", "\"\<con\>\""}]}], "}"}]}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "40"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8149583799249363`*^9, 3.8149583987429705`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"a8943036-0a60-4738-869d-42adafd06b7f"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
    LineBox[{{{1.126106541153627, 2.7026556987687047`}, {0.4504426164614508, 
     1.8017704658458031`}}, {{1.126106541153627, 2.7026556987687047`}, {
     1.8017704658458031`, 1.8017704658458031`}}, {{0.4504426164614508, 
     1.8017704658458031`}, {0., 0.9008852329229016}}, {{0.4504426164614508, 
     1.8017704658458031`}, {0.9008852329229016, 0.9008852329229016}}, {{
     1.8017704658458031`, 1.8017704658458031`}, {1.8017704658458031`, 
     0.9008852329229016}}, {{1.8017704658458031`, 0.9008852329229016}, {
     1.8017704658458031`, 0.}}, {{0.9008852329229016, 0.9008852329229016}, {
     0.9008852329229016, 0.}}}]}, 
   {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
    0.7]}], {DiskBox[{1.126106541153627, 2.7026556987687047}, 
      0.02806852519923747], 
     InsetBox["\<\"el\"\>", 
      Offset[{2, 2}, {1.1541750663528645, 2.7307242239679423}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.4504426164614508, 1.8017704658458031}, 0.02806852519923747], 
     InsetBox["\<\"comporta\"\>", 
      Offset[{2, 2}, {0.47851114166068826, 1.8298389910450406}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{1.8017704658458031, 1.8017704658458031}, 0.02806852519923747], 
     InsetBox["\<\"universo\"\>", 
      Offset[{2, 2}, {1.8298389910450406, 1.8298389910450406}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{1.8017704658458031, 0.9008852329229016}, 0.02806852519923747], 
     InsetBox["\<\"no\"\>", 
      Offset[{2, 2}, {1.8298389910450406, 0.928953758122139}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{1.8017704658458031, 0.}, 0.02806852519923747], 
     InsetBox["\<\"se\"\>", 
      Offset[{2, 2}, {1.8298389910450406, 0.02806852519923747}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0., 0.9008852329229016}, 0.02806852519923747], 
     InsetBox["\<\"acuerdo\"\>", 
      Offset[{2, 2}, {0.02806852519923747, 0.928953758122139}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.9008852329229016, 0.9008852329229016}, 0.02806852519923747], 
     InsetBox["\<\"de\"\>", 
      Offset[{2, 2}, {0.928953758122139, 0.928953758122139}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.9008852329229016, 0.}, 0.02806852519923747], 
     InsetBox["\<\"con\"\>", 
      Offset[{2, 2}, {0.928953758122139, 0.02806852519923747}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}}},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->40]], "Output",
 CellChangeTimes->{3.814958400066929*^9, 3.814962652466268*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"8a6d4692-2175-4ccf-9da9-bad317aea18d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TreePlot", "[", 
  RowBox[{
   RowBox[{"AristasCombinatoricaToWolframSystem", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "7"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"9", ",", "11"}], "}"}]}], "}"}], "]"}], ",", "Automatic", ",",
    "1", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "\[Rule]", "\"\<el\>\""}], ",", 
      RowBox[{"2", "\[Rule]", " ", "\"\<universo\>\""}], ",", " ", 
      RowBox[{"3", "\[Rule]", "\"\<no\>\""}], ",", 
      RowBox[{"4", "\[Rule]", "\"\<se\>\""}], ",", 
      RowBox[{"5", "\[Rule]", "\"\<comporta\>\""}], ",", 
      RowBox[{"6", "\[Rule]", "\"\<acuerdo\>\""}], ",", 
      RowBox[{"7", "\[Rule]", "\"\<de\>\""}], ",", 
      RowBox[{"8", "\[Rule]", "\"\<con\>\""}], ",", 
      RowBox[{"9", "\[Rule]", "\"\<nuestras\>\""}], ",", 
      RowBox[{"10", "\[Rule]", "\"\<ideas\>\""}], ",", 
      RowBox[{"11", "\[Rule]", "\"\<preconcebidas\>\""}]}], "}"}]}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "65"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8149588121190753`*^9, 3.814958837412673*^9}, {
  3.814959097024117*^9, 3.8149591469574614`*^9}, {3.8149593817019873`*^9, 
  3.8149594069744387`*^9}, {3.8149594554290624`*^9, 3.814959474845104*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"0afad03a-07a7-4f67-8bc7-e81f45a4f48d"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGDgAmImKE6+xvZnCc9X+6DYDTWdXYIOLSc2/7otcMe+GUzz
OKDLQ2hGB5g8unoGKEgC62PFkIfw39jD5NHNg/HR5VHN+2PfBKXR5ZOhNEwe
F78B6g5098D4uNTD+DB/AgCTvJoq
     "]]}, 
   {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
    0.7]}], {DiskBox[{1.3155870289605438, 4.385290096535146}, 
      0.03941288808061927], 
     InsetBox["\<\"el\"\>", 
      Offset[{2, 2}, {1.354999917041163, 4.424702984615765}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.4385290096535146, 3.5082320772281164}, 0.03941288808061927], 
     InsetBox["\<\"comporta\"\>", 
      Offset[{2, 2}, {0.47794189773413387, 3.5476449653087356}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{2.192645048267573, 3.5082320772281164}, 0.03941288808061927], 
     InsetBox["\<\"universo\"\>", 
      Offset[{2, 2}, {2.232057936348192, 3.5476449653087356}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{2.192645048267573, 2.631174057921087}, 0.03941288808061927], 
     InsetBox["\<\"no\"\>", 
      Offset[{2, 2}, {2.232057936348192, 2.6705869460017064}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{1.7541160386140584, 1.754116038614058}, 0.03941288808061927], 
     InsetBox["\<\"ideas\"\>", 
      Offset[{2, 2}, {1.7935289266946777, 1.7935289266946772}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{2.6311740579210876, 1.754116038614058}, 0.03941288808061927], 
     InsetBox["\<\"se\"\>", 
      Offset[{2, 2}, {2.670586946001707, 1.7935289266946772}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0., 2.631174057921087}, 0.03941288808061927], 
     InsetBox["\<\"acuerdo\"\>", 
      Offset[{2, 2}, {0.03941288808061927, 2.6705869460017064}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.8770580193070292, 2.631174057921087}, 0.03941288808061927], 
     InsetBox["\<\"de\"\>", 
      Offset[{2, 2}, {0.9164709073876485, 2.6705869460017064}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{0.8770580193070292, 1.754116038614058}, 0.03941288808061927], 
     InsetBox["\<\"con\"\>", 
      Offset[{2, 2}, {0.9164709073876485, 1.7935289266946772}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{2.6311740579210876, 0.8770580193070288}, 0.03941288808061927], 
     InsetBox["\<\"nuestras\"\>", 
      Offset[{2, 2}, {2.670586946001707, 0.916470907387648}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}, {
     DiskBox[{2.6311740579210876, 0.}, 0.03941288808061927], 
     InsetBox["\<\"preconcebidas\"\>", 
      Offset[{2, 2}, {2.670586946001707, 0.03941288808061927}], ImageScaled[{0, 0}],
      BaseStyle->"Graphics"]}}},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->65]], "Output",
 CellChangeTimes->{
  3.814958838280343*^9, {3.8149591185907855`*^9, 3.814959147459255*^9}, 
   3.8149594073652983`*^9, {3.8149594562925425`*^9, 3.814959475219071*^9}, 
   3.8149626570814195`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"50987386-b443-445a-927d-26994012b363"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"arbol", "=", 
  RowBox[{
  "ArbolBinarioBusqueda", "[", 
   "\"\<el universo no se comporta de acuerdo con nuestras ideas \
preconcebidas\>\"", "]"}]}]], "Input",
 CellChangeTimes->{{3.814875871446682*^9, 3.8148758886419225`*^9}, {
  3.8148762597207236`*^9, 3.814876260818596*^9}, {3.8148766907974014`*^9, 
  3.8148766993479137`*^9}, {3.814876734204707*^9, 3.8148768173593283`*^9}, {
  3.814959980346757*^9, 3.8149599824032774`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"fcb6cc91-e480-4c4b-9743-f42bdff839d1"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{
      "el", "comporta", "universo", "acuerdo", "de", "no", "con", "ideas", 
       "se", "nuestras", "preconcebidas"}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {5, 7}, {6, 8}, {6, 9}, {
       9, 10}, {10, 11}}}, {
      ImagePadding -> 10, 
       VertexCoordinates -> {{1.3155870289605438`, 4.385290096535146}, {
        0.4385290096535146, 3.5082320772281164`}, {2.192645048267573, 
        3.5082320772281164`}, {0., 2.631174057921087}, {0.8770580193070292, 
        2.631174057921087}, {2.192645048267573, 2.631174057921087}, {
        0.8770580193070292, 1.754116038614058}, {1.7541160386140584`, 
        1.754116038614058}, {2.6311740579210876`, 1.754116038614058}, {
        2.6311740579210876`, 0.8770580193070288}, {2.6311740579210876`, 0.}}, 
       VertexLabels -> {"Name"}, VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGDgAmImKE6+xvZnCc9X+6DYDTWdXYIOLSc2/7otcMe+GUzz
OKDLQ2hGB5g8unoGKEgC62PFkIfw39jD5NHNg/FR9SPUw/hNYPqPPXb1f3DK
J0NpmDwufgPUHlx8mD8BgeuaKg==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.3155870289605438, 4.385290096535146}, 
          0.03941288808061927], 
         InsetBox["\<\"el\"\>", 
          Offset[{2, 2}, {1.354999917041163, 4.424702984615765}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4385290096535146, 3.5082320772281164}, 
          0.03941288808061927], 
         InsetBox["\<\"comporta\"\>", 
          Offset[{2, 2}, {0.47794189773413387, 3.5476449653087356}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.192645048267573, 3.5082320772281164}, 
          0.03941288808061927], 
         InsetBox["\<\"universo\"\>", 
          Offset[{2, 2}, {2.232057936348192, 3.5476449653087356}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 2.631174057921087}, 0.03941288808061927], 
         InsetBox["\<\"acuerdo\"\>", 
          Offset[{2, 2}, {0.03941288808061927, 2.6705869460017064}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8770580193070292, 2.631174057921087}, 
          0.03941288808061927], 
         InsetBox["\<\"de\"\>", 
          Offset[{2, 2}, {0.9164709073876485, 2.6705869460017064}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.192645048267573, 2.631174057921087}, 0.03941288808061927],
          InsetBox["\<\"no\"\>", 
          Offset[{2, 2}, {2.232057936348192, 2.6705869460017064}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8770580193070292, 1.754116038614058}, 
          0.03941288808061927], 
         InsetBox["\<\"con\"\>", 
          Offset[{2, 2}, {0.9164709073876485, 1.7935289266946772}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7541160386140584, 1.754116038614058}, 
          0.03941288808061927], 
         InsetBox["\<\"ideas\"\>", 
          Offset[{2, 2}, {1.7935289266946777, 1.7935289266946772}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.6311740579210876, 1.754116038614058}, 
          0.03941288808061927], 
         InsetBox["\<\"se\"\>", 
          Offset[{2, 2}, {2.670586946001707, 1.7935289266946772}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.6311740579210876, 0.8770580193070288}, 
          0.03941288808061927], 
         InsetBox["\<\"nuestras\"\>", 
          Offset[{2, 2}, {2.670586946001707, 0.916470907387648}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.6311740579210876, 0.}, 0.03941288808061927], 
         InsetBox["\<\"preconcebidas\"\>", 
          Offset[{2, 2}, {2.670586946001707, 0.03941288808061927}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.814959555656376*^9, 3.814959585447399*^9}, 
   3.8149600016292725`*^9, 3.8149626611167793`*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"1568b288-d4a2-4820-ad02-81679c5ecd27"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListaVertices", "[", "arbol", "]"}]], "Input",
 CellChangeTimes->{{3.814960004276331*^9, 3.814960014774517*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"1e7ac278-9b85-4293-a8bd-6c07117f8503"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"acuerdo\"\>", ",", "\<\"comporta\"\>", ",", "\<\"con\"\>", 
   ",", "\<\"de\"\>", ",", "\<\"el\"\>", ",", "\<\"ideas\"\>", 
   ",", "\<\"no\"\>", ",", "\<\"nuestras\"\>", ",", "\<\"preconcebidas\"\>", 
   ",", "\<\"se\"\>", ",", "\<\"universo\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.8149600154454947`*^9, 3.8149626648513904`*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"f0a31212-027f-4d75-8254-e7a87861e556"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f48fd198-86c9-4a0b-a21d-9f79c32be016"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 181, 4, 63, "Input",ExpressionUUID->"c9c9ccb6-1f1c-4469-81df-ebd854cb5e3f"],
Cell[CellGroupData[{
Cell[764, 28, 428, 10, 173, "Input",ExpressionUUID->"7c063b6f-4cbb-4c76-a9e8-931132ec05d0"],
Cell[1195, 40, 1520, 31, 274, "Output",ExpressionUUID->"6c664ce9-2469-4369-99e6-672797b254c9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2752, 76, 291, 5, 216, "Input",ExpressionUUID->"da6f1477-912c-4e5d-b4ce-44ff0cfd2eec"],
Cell[3046, 83, 455, 7, 144, "Output",ExpressionUUID->"8f134b10-3f77-473b-9651-90a25ef0f847"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3538, 95, 957, 23, 410, "Input",ExpressionUUID->"9a9a0675-96ed-4f24-87ab-90a0209fe67e"],
Cell[4498, 120, 1295, 27, 1045, "Output",ExpressionUUID->"34b76986-8f14-418b-8639-3256dbdb0ce7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5830, 152, 1414, 33, 497, "Input",ExpressionUUID->"e141125a-fbe2-4876-a1b4-be340f9e8983"],
Cell[7247, 187, 2591, 48, 976, "Output",ExpressionUUID->"613753e9-1fcf-4055-87a5-e0ec46653d36"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9875, 240, 1384, 34, 497, "Input",ExpressionUUID->"a8943036-0a60-4738-869d-42adafd06b7f"],
Cell[11262, 276, 2762, 50, 976, "Output",ExpressionUUID->"8a6d4692-2175-4ccf-9da9-bad317aea18d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14061, 331, 1909, 45, 626, "Input",ExpressionUUID->"0afad03a-07a7-4f67-8bc7-e81f45a4f48d"],
Cell[15973, 378, 3154, 60, 984, "Output",ExpressionUUID->"50987386-b443-445a-927d-26994012b363"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19164, 443, 536, 10, 179, "Input",ExpressionUUID->"fcb6cc91-e480-4c4b-9743-f42bdff839d1"],
Cell[19703, 455, 4629, 98, 1038, "Output",ExpressionUUID->"1568b288-d4a2-4820-ad02-81679c5ecd27"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24369, 558, 215, 3, 91, "Input",ExpressionUUID->"1e7ac278-9b85-4293-a8bd-6c07117f8503"],
Cell[24587, 563, 459, 7, 151, "Output",ExpressionUUID->"f0a31212-027f-4d75-8254-e7a87861e556"]
}, Open  ]]
}
]
*)

